@ECHO off

ECHO PPPConnectUp  v1.0
ECHO Copyright (C) Tom Brown 1997.  All rights reserved.
ECHO Copyright (C) EDM/2 1997.  All rights reserved.
ECHO .


IF NOT "%PPP_PATH%" == "" GOTO testPath
ECHO ERROR: Environment variable PPP_PATH not set
GOTO end


:testPath
IF EXIST %PPP_PATH%\* GOTO testConnect
ECHO ERROR: Environment variable PPP_PATH points to invalid path
GOTO end


:testConnect
SET CONNECT=%1
IF "%1" == "" SET CONNECT=default
IF EXIST %PPP_PATH%\%CONNECT%.cfg GOTO testUp
ECHO ERROR: PPP configuration '%CONNECT%' does not exist
GOTO end


:testUp
CALL ping 204.146.46.133 BLIND
IF ERRORLEVEL 1 GOTO Connect
ECHO Already connected
GOTO end

:connect
ECHO Connecting
START /F /C PPP com1 115200 file %PPP_PATH%\%CONNECT%.cfg connect "slattach -f %PPP_PATH%\%CONNECT%.rsp"
logger -p syslog.info -t PPP connection initiated to %CONNECT%

:end
