/* REXX */

'@ECHO off'

drive = 'C:'
dir   = '\UserOS2\Data\Schedule'

drive
'CD' dir

PARSE ARG Directory Other

SAY 'schedule  v1.0'
SAY 'Copyright (C) Tom Brown 1997.  All rights reserved.'
SAY 'Copyright (C) EDM/2 1997.  All rights reserved.'
SAY
SAY 'The base schedule directory is :' drive||dir
SAY

IF LENGTH(directory) \= 0 THEN DO
   'CD' Directory

   IF Directory == 'Network' THEN DO
      'CALL PPPConnectUp'
   END

   IF Stream('*.cmd',"C","Query Exists") \= "" THEN DO
      'FOR %%D IN (*.cmd) DO CALL %%D'
      'logger -p syslog.info -t system BATCH: Scheduled "'||Directory||'" batch job(s) have been run'
      IF Directory == 'Once' THEN DO
         'RENAME *.cmd *.ran'
      END

   END

   IF Directory == 'Network' THEN DO
      'CALL PPPConnectDn'
   END

END
ELSE DO
   SAY '   Usage:'
   SAY '       schedule group'
   SAY
   SAY '   Where:'
   SAY '       group = a directory containing a group of command files'
   SAY
   SAY '   Note:'
   SAY '       There are two special groups.  The group "Once" can'
   SAY '       be used the same as any other, however, when the command'
   SAY '       files have been executed, they are all renamed to *.ran.'
   SAY '       This way, these scripts are run once and then archived'
   SAY '       as *.ran files so that they can be re-implimented in the'
   SAY '       future.  The group "Network" will run as normal, however,'
   SAY '       prior to executing these commands, PPPConnectUp will be'
   SAY '       run to instantiate a network connection and PPPConnectDn'
   SAY '       will be run upon completion to disconnect.'
END

